Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

Just wondering if there was an elegant way to force WordPress to use the RSS 0.92 feed at all?

The reason I ask is that we have added some custom XML tags to a site's feed so that an accompanying iOS app can pull certain data from the feed - WordPress has recently deprecated RSS 0.92 in favour of RSS 2.0 and this is breaking the app, so reverting to RSS 0.92 as a short term fix would be ideal.

I will very much look forward to any thoughts you might have!

Alex

share|improve this question

1 Answer 1

up vote 0 down vote accepted

Do you mean RDF/RSS 1.0 feed?

It is not deprecated and should be available just fine at /feed/rdf

To force RSS 2.0 links to use RSS 0.92 template try this:

remove_action( 'do_feed_rss2', 'do_feed_rss2' );
add_action( 'do_feed_rss2', 'do_feed_rss' );
share|improve this answer
    
Hi Rarst, Thanks for taking the time to reply to my question - I was actually thinking of /feed/rss which now seems to be displayed in RSS 2.0 format - any ideas how I could I could push it back to 1.0? –  Alex Stanhope Jan 23 '12 at 16:38
    
@Alex could you possibly mean RSS 0.92 one? Because 1.0 is RDF as above. –  Rarst Jan 23 '12 at 16:47
    
Sorry - that's the one I should be talking about! It looks like a redirect of some kind is forcing the display of the RSS 2.0 version. Again, any ideas on how to make sure the 0.92 is used? –  Alex Stanhope Jan 23 '12 at 16:57
    
Hi Rarst, Thank you so much! The filter worked perfectly :) Let's consider this one answered! –  Alex Stanhope Jan 23 '12 at 17:25

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.